Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 23121)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -62,5 +62,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -73,5 +73,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = new SC_FormParam_Ex();
@@ -290,9 +290,9 @@
      * - 編集/複製モード
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @param array $arrPost $_POSTデータ
-     * @return void
-     */
-    function lfInitFormParam_PreEdit(&$objFormParam, $arrPost)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @param  array  $arrPost      $_POSTデータ
+     * @return void
+     */
+    public function lfInitFormParam_PreEdit(&$objFormParam, $arrPost)
     {
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -304,9 +304,9 @@
      * パラメーター情報の初期化
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @param array $arrPost $_POSTデータ
-     * @return void
-     */
-    function lfInitFormParam(&$objFormParam, $arrPost)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @param  array  $arrPost      $_POSTデータ
+     * @return void
+     */
+    public function lfInitFormParam(&$objFormParam, $arrPost)
     {
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -377,8 +377,8 @@
      * - 画像ファイルアップロードモード
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @return void
-     */
-    function lfInitFormParam_UploadImage(&$objFormParam)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @return void
+     */
+    public function lfInitFormParam_UploadImage(&$objFormParam)
     {
         $objFormParam->addParam('image_key', 'image_key', '', '', array());
@@ -389,8 +389,8 @@
      * - ダウンロード商品ファイルアップロードモード
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @return void
-     */
-    function lfInitFormParam_UploadDown(&$objFormParam)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @return void
+     */
+    public function lfInitFormParam_UploadDown(&$objFormParam)
     {
         $objFormParam->addParam('down_key', 'down_key', '', '', array());
@@ -401,8 +401,8 @@
      * - 関連商品追加モード
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @return void
-     */
-    function lfInitFormParam_RecommendSelect(&$objFormParam)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @return void
+     */
+    public function lfInitFormParam_RecommendSelect(&$objFormParam)
     {
         $objFormParam->addParam('anchor_key', 'anchor_key', '', '', array());
@@ -414,8 +414,8 @@
      * - 画像ファイル用
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @return void
-     */
-    function lfInitFile(&$objUpFile)
+     * @param  object $objUpFile SC_UploadFileインスタンス
+     * @return void
+     */
+    public function lfInitFile(&$objUpFile)
     {
         $objUpFile->addFile('一覧-メイン画像', 'main_list_image', array('jpg', 'gif', 'png'),IMAGE_SIZE, false, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT);
@@ -432,8 +432,8 @@
      * - ダウンロード商品ファイル用
      *
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @return void
-     */
-    function lfInitDownFile(&$objDownFile)
+     * @param  object $objDownFile SC_UploadFileインスタンス
+     * @return void
+     */
+    public function lfInitDownFile(&$objDownFile)
     {
         $objDownFile->addFile('ダウンロード販売用ファイル', 'down_file', explode(',', DOWNLOAD_EXTENSION),DOWN_SIZE, true, 0, 0);
@@ -443,11 +443,11 @@
      * フォーム入力パラメーターのエラーチェック
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param array $arrForm フォーム入力パラメーター配列
-     * @return array エラー情報を格納した連想配列
-     */
-    function lfCheckError_Edit(&$objFormParam, &$objUpFile, &$objDownFile, $arrForm)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @param  object $objUpFile    SC_UploadFileインスタンス
+     * @param  object $objDownFile  SC_UploadFileインスタンス
+     * @param  array  $arrForm      フォーム入力パラメーター配列
+     * @return array  エラー情報を格納した連想配列
+     */
+    public function lfCheckError_Edit(&$objFormParam, &$objUpFile, &$objDownFile, $arrForm)
     {
         $objErr = new SC_CheckError_Ex($arrForm);
@@ -458,5 +458,5 @@
 
         // アップロードファイル必須チェック
-        $arrErr = array_merge((array)$arrErr, (array)$objUpFile->checkExists());
+        $arrErr = array_merge((array) $arrErr, (array) $objUpFile->checkExists());
 
         // HTMLタグ許可チェック
@@ -474,10 +474,10 @@
             // ダウンロード商品ファイル必須チェック(ダウンロード商品の場合)
             if ($arrForm['product_type_id'] == PRODUCT_TYPE_DOWNLOAD) {
-                $arrErr = array_merge((array)$arrErr, (array)$objDownFile->checkExists());
+                $arrErr = array_merge((array) $arrErr, (array) $objDownFile->checkExists());
                 $objErr->doFunc(array('ダウンロード商品ファイル名', 'down_filename'), array('EXIST_CHECK'));
             }
         }
 
-        $arrErr = array_merge((array)$arrErr, (array)$objErr->arrErr);
+        $arrErr = array_merge((array) $arrErr, (array) $objErr->arrErr);
 
         return $arrErr;
@@ -489,9 +489,9 @@
      * 関連商品の重複があった場合はエラーメッセージを格納し、該当の商品IDをリセットする
      *
-     * @param array $arrForm 入力値の配列
-     * @param array $arrErr エラーメッセージの配列
-     * @return void
-     */
-    function lfCheckError_RecommendSelect(&$arrForm, &$arrErr)
+     * @param  array $arrForm 入力値の配列
+     * @param  array $arrErr  エラーメッセージの配列
+     * @return void
+     */
+    public function lfCheckError_RecommendSelect(&$arrForm, &$arrErr)
     {
         $select_recommend_no = $arrForm['select_recommend_no'];
@@ -517,8 +517,8 @@
      * 検索パラメーター引き継ぎ用配列取得
      *
-     * @param array $arrPost $_POSTデータ
+     * @param  array $arrPost $_POSTデータ
      * @return array 検索パラメーター配列
      */
-    function lfGetSearchParam($arrPost)
+    public function lfGetSearchParam($arrPost)
     {
         $arrSearchParam = array();
@@ -536,10 +536,10 @@
      * - 編集/複製モード
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param integer $product_id 商品ID
-     * @return array フォームパラメーター配列
-     */
-    function lfGetFormParam_PreEdit(&$objUpFile, &$objDownFile, $product_id)
+     * @param  object  $objUpFile   SC_UploadFileインスタンス
+     * @param  object  $objDownFile SC_UploadFileインスタンス
+     * @param  integer $product_id  商品ID
+     * @return array   フォームパラメーター配列
+     */
+    public function lfGetFormParam_PreEdit(&$objUpFile, &$objDownFile, $product_id)
     {
         $arrForm = array();
@@ -559,8 +559,8 @@
      * - 登録モード
      *
-     * @param object $objFormParam SC_FormParamインスタンス
-     * @return array フォームパラメーター配列
-     */
-    function lfGetFormParam_Complete(&$objFormParam)
+     * @param  object $objFormParam SC_FormParamインスタンス
+     * @return array  フォームパラメーター配列
+     */
+    public function lfGetFormParam_Complete(&$objFormParam)
     {
         $arrForm = $objFormParam->getHashArray();
@@ -575,10 +575,10 @@
      * - 入力画面
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param array $arrForm フォーム入力パラメーター配列
-     * @return array 表示用フォームパラメーター配列
-     */
-    function lfSetViewParam_InputPage(&$objUpFile, &$objDownFile, &$arrForm)
+     * @param  object $objUpFile   SC_UploadFileインスタンス
+     * @param  object $objDownFile SC_UploadFileインスタンス
+     * @param  array  $arrForm     フォーム入力パラメーター配列
+     * @return array  表示用フォームパラメーター配列
+     */
+    public function lfSetViewParam_InputPage(&$objUpFile, &$objDownFile, &$arrForm)
     {
         // カテゴリマスターデータ取得
@@ -607,5 +607,5 @@
         // アップロードファイル情報取得(Hidden用)
         $arrHidden = $objUpFile->getHiddenFileList();
-        $arrForm['arrHidden'] = array_merge((array)$arrHidden, (array)$objDownFile->getHiddenFileList());
+        $arrForm['arrHidden'] = array_merge((array) $arrHidden, (array) $objDownFile->getHiddenFileList());
 
         // 画像ファイル表示用データ取得
@@ -628,10 +628,10 @@
      * - 確認画面
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param array $arrForm フォーム入力パラメーター配列
-     * @return array 表示用フォームパラメーター配列
-     */
-    function lfSetViewParam_ConfirmPage(&$objUpFile, &$objDownFile, &$arrForm)
+     * @param  object $objUpFile   SC_UploadFileインスタンス
+     * @param  object $objDownFile SC_UploadFileインスタンス
+     * @param  array  $arrForm     フォーム入力パラメーター配列
+     * @return array  表示用フォームパラメーター配列
+     */
+    public function lfSetViewParam_ConfirmPage(&$objUpFile, &$objDownFile, &$arrForm)
     {
         // カテゴリ表示用
@@ -650,9 +650,9 @@
      * 縮小した画像をセットする
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param string $image_key 画像ファイルキー
-     * @return void
-     */
-    function lfSetScaleImage(&$objUpFile, $image_key)
+     * @param  object $objUpFile SC_UploadFileインスタンス
+     * @param  string $image_key 画像ファイルキー
+     * @return void
+     */
+    public function lfSetScaleImage(&$objUpFile, $image_key)
     {
         $subno = str_replace('sub_large_image', '', $image_key);
@@ -677,8 +677,8 @@
      * 画像ファイルのコピー
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @return void
-     */
-    function lfCopyProductImageFiles(&$objUpFile)
+     * @param  object $objUpFile SC_UploadFileインスタンス
+     * @return void
+     */
+    public function lfCopyProductImageFiles(&$objUpFile)
     {
         $arrKey = $objUpFile->keyname;
@@ -693,11 +693,11 @@
      * 縮小画像生成
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param string $from_key 元画像ファイルキー
-     * @param string $to_key 縮小画像ファイルキー
-     * @param boolean $forced
-     * @return void
-     */
-    function lfMakeScaleImage(&$objUpFile, $from_key, $to_key, $forced = false)
+     * @param  object  $objUpFile SC_UploadFileインスタンス
+     * @param  string  $from_key  元画像ファイルキー
+     * @param  string  $to_key    縮小画像ファイルキー
+     * @param  boolean $forced
+     * @return void
+     */
+    public function lfMakeScaleImage(&$objUpFile, $from_key, $to_key, $forced = false)
     {
         $arrImageKey = array_flip($objUpFile->keyname);
@@ -734,9 +734,9 @@
      * 一時ディレクトリに保存されている実ファイルも削除する
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param string $image_key 画像ファイルキー
-     * @return void
-     */
-    function lfDeleteTempFile(&$objUpFile, $image_key)
+     * @param  object $objUpFile SC_UploadFileインスタンス
+     * @param  string $image_key 画像ファイルキー
+     * @return void
+     */
+    public function lfDeleteTempFile(&$objUpFile, $image_key)
     {
         // TODO: SC_UploadFile::deleteFileの画像削除条件見直し要
@@ -767,10 +767,10 @@
      * アップロードファイルを保存する
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param integer $product_id 商品ID
-     * @return void
-     */
-    function lfSaveUploadFiles(&$objUpFile, &$objDownFile, $product_id)
+     * @param  object  $objUpFile   SC_UploadFileインスタンス
+     * @param  object  $objDownFile SC_UploadFileインスタンス
+     * @param  integer $product_id  商品ID
+     * @return void
+     */
+    public function lfSaveUploadFiles(&$objUpFile, &$objDownFile, $product_id)
     {
         // TODO: SC_UploadFile::moveTempFileの画像削除条件見直し要
@@ -802,10 +802,10 @@
      * 戻り値： 同名ファイル有り(true) 同名ファイル無し(false)
      *
-     * @param string $product_id 商品ID
-     * @param string $arrImageKey 対象としない画像カラム名
-     * @param string $image_file_name 画像ファイル名
+     * @param  string  $product_id      商品ID
+     * @param  string  $arrImageKey     対象としない画像カラム名
+     * @param  string  $image_file_name 画像ファイル名
      * @return boolean
      */
-    function lfHasSameProductImage($product_id, $arrImageKey, $image_file_name)
+    public function lfHasSameProductImage($product_id, $arrImageKey, $image_file_name)
     {
         if (!SC_Utils_Ex::sfIsInt($product_id)) return false;
@@ -839,8 +839,8 @@
      * DBから商品データを取得する
      *
-     * @param integer $product_id 商品ID
-     * @return array 商品データ配列
-     */
-    function lfGetProductData_FromDB($product_id)
+     * @param  integer $product_id 商品ID
+     * @return array   商品データ配列
+     */
+    public function lfGetProductData_FromDB($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -903,8 +903,8 @@
      * DBから関連商品データを取得する
      *
-     * @param integer $product_id 商品ID
-     * @return array 関連商品データ配列
-     */
-    function lfGetRecommendProductsData_FromDB($product_id)
+     * @param  integer $product_id 商品ID
+     * @return array   関連商品データ配列
+     */
+    public function lfGetRecommendProductsData_FromDB($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -931,8 +931,8 @@
      * 関連商品データ表示用配列を取得する
      *
-     * @param string $arrForm フォーム入力パラメーター配列
-     * @return array 関連商品データ配列
-     */
-    function lfGetRecommendProducts(&$arrForm)
+     * @param  string $arrForm フォーム入力パラメーター配列
+     * @return array  関連商品データ配列
+     */
+    public function lfGetRecommendProducts(&$arrForm)
     {
         $arrRecommend = array();
@@ -963,5 +963,5 @@
      * @return array カテゴリマスターデータ配列
      */
-    function lfGetCategoryList_Edit()
+    public function lfGetCategoryList_Edit()
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -980,8 +980,8 @@
      * - 入力画面
      *
-     * @param string $anchor_hash アンカー用ハッシュ文字列(省略可)
+     * @param  string $anchor_hash アンカー用ハッシュ文字列(省略可)
      * @return string ページonload用JavaScript
      */
-    function lfSetOnloadJavaScript_InputPage($anchor_hash = '')
+    public function lfSetOnloadJavaScript_InputPage($anchor_hash = '')
     {
         return "fnCheckStockLimit('" . DISABLED_RGB . "');fnInitSelect('category_id_unselect'); fnMoveSelect('category_id_unselect', 'category_id');" . $anchor_hash;
@@ -991,10 +991,10 @@
      * DBに商品データを登録する
      *
-     * @param object $objUpFile SC_UploadFileインスタンス
-     * @param object $objDownFile SC_UploadFileインスタンス
-     * @param array $arrList フォーム入力パラメーター配列
+     * @param  object  $objUpFile   SC_UploadFileインスタンス
+     * @param  object  $objDownFile SC_UploadFileインスタンス
+     * @param  array   $arrList     フォーム入力パラメーター配列
      * @return integer 登録商品ID
      */
-    function lfRegistProduct(&$objUpFile, &$objDownFile, $arrList)
+    public function lfRegistProduct(&$objUpFile, &$objDownFile, $arrList)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1148,8 +1148,8 @@
      * 規格を設定していない商品を商品規格テーブルに登録
      *
-     * @param array $arrList
-     * @return void
-     */
-    function lfInsertDummyProductClass($arrList)
+     * @param  array $arrList
+     * @return void
+     */
+    public function lfInsertDummyProductClass($arrList)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1181,8 +1181,8 @@
      * (deliv_fee, point_rate, sale_limit)
      *
-     * @param array $arrList
-     * @return void
-     */
-    function lfUpdateProductClass($arrList)
+     * @param  array $arrList
+     * @return void
+     */
+    public function lfUpdateProductClass($arrList)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1199,10 +1199,10 @@
      * DBに関連商品データを登録する
      *
-     * @param object $objQuery SC_Queryインスタンス
-     * @param string $arrList フォーム入力パラメーター配列
-     * @param integer $product_id 登録する商品ID
-     * @return void
-     */
-    function lfInsertRecommendProducts(&$objQuery, $arrList, $product_id)
+     * @param  object  $objQuery   SC_Queryインスタンス
+     * @param  string  $arrList    フォーム入力パラメーター配列
+     * @param  integer $product_id 登録する商品ID
+     * @return void
+     */
+    public function lfInsertRecommendProducts(&$objQuery, $arrList, $product_id)
     {
         // 一旦関連商品を全て削除する
@@ -1233,9 +1233,9 @@
      * 規格データをコピーする
      *
-     * @param array $arrList フォーム入力パラメーター配列
-     * @param object $objQuery SC_Queryインスタンス
+     * @param  array   $arrList  フォーム入力パラメーター配列
+     * @param  object  $objQuery SC_Queryインスタンス
      * @return boolean エラーフラグ
      */
-    function lfCopyProductClass($arrList, &$objQuery)
+    public function lfCopyProductClass($arrList, &$objQuery)
     {
         // 複製元のdtb_products_classを取得（規格なしのため、1件のみの取得）
@@ -1254,5 +1254,5 @@
                     switch ($key) {
                     case 'stock_unlimited':
-                        $records[$key] = (int)$arrList[$key];
+                        $records[$key] = (int) $arrList[$key];
                         break;
                     default:
@@ -1286,8 +1286,8 @@
      * リネームする際は、自動生成される画像名に一意となるように、Suffixを付ける
      *
-     * @param string $to_key
+     * @param  string $to_key
      * @return string
      */
-    function lfGetAddSuffix($to_key)
+    public function lfGetAddSuffix($to_key)
     {
         if ( IMAGE_RENAME === true) return;
@@ -1315,8 +1315,8 @@
      * タイトル, コメント, 画像のいずれかに登録があれば「あり」と判定する
      *
-     * @param array $arrSubProductData サブ情報配列
+     * @param  array   $arrSubProductData サブ情報配列
      * @return boolean true: サブ情報あり, false: サブ情報なし
      */
-    function hasSubProductData($arrSubProductData)
+    public function hasSubProductData($arrSubProductData)
     {
         $has_subproduct_data = false;
@@ -1342,8 +1342,8 @@
      * アンカーキーをサニタイジングする
      *
-     * @param string $anchor_key フォーム入力パラメーターで受け取ったアンカーキー
+     * @param  string $anchor_key フォーム入力パラメーターで受け取ったアンカーキー
      * @return <type>
      */
-    function getAnchorHash($anchor_key)
+    public function getAnchorHash($anchor_key)
     {
         if ($anchor_key != '') {
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 23084)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -56,5 +56,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -67,5 +67,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -93,8 +93,8 @@
      * パラメーター情報の初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('カテゴリ', 'search_category_id', STEXT_LEN, 'n');
@@ -104,5 +104,5 @@
 
     /* 商品検索結果取得 */
-    function lfGetProducts(&$objDb)
+    public function lfGetProducts(&$objDb)
     {
         $where = 'del_flg = 0';
@@ -122,5 +122,5 @@
                     if ($tmp_where != '') {
                         $where.= ' AND product_id IN (SELECT product_id FROM dtb_product_categories WHERE ' . $tmp_where . ')';
-                        $arrWhereVal = array_merge((array)$arrWhereVal, (array)$arrTmp);
+                        $arrWhereVal = array_merge((array) $arrWhereVal, (array) $arrTmp);
                     }
                     break;
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22960)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 23124)
@@ -36,18 +36,18 @@
 {
     /** TAGエラーチェックフィールド情報 */
-    var $arrTagCheckItem;
+    public $arrTagCheckItem;
 
     /** 商品テーブルカラム情報 (登録処理用) **/
-    var $arrProductColumn;
+    public $arrProductColumn;
 
     /** 商品規格テーブルカラム情報 (登録処理用) **/
-    var $arrProductClassColumn;
+    public $arrProductClassColumn;
 
     /** 登録フォームカラム情報 **/
-    var $arrFormKeyList;
-
-    var $arrRowErr;
-
-    var $arrRowResult;
+    public $arrFormKeyList;
+
+    public $arrRowErr;
+
+    public $arrRowResult;
 
     /**
@@ -56,5 +56,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -83,5 +83,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -94,5 +94,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $this->objDb = new SC_Helper_DB_Ex();
@@ -138,9 +138,9 @@
      * 登録/編集結果のメッセージをプロパティへ追加する
      *
-     * @param integer $line_count 行数
-     * @param stirng $message メッセージ
-     * @return void
-     */
-    function addRowResult($line_count, $message)
+     * @param  integer $line_count 行数
+     * @param  stirng  $message    メッセージ
+     * @return void
+     */
+    public function addRowResult($line_count, $message)
     {
         $this->arrRowResult[] = $line_count . '行目：' . $message;
@@ -150,9 +150,9 @@
      * 登録/編集結果のエラーメッセージをプロパティへ追加する
      *
-     * @param integer $line_count 行数
-     * @param stirng $message メッセージ
-     * @return void
-     */
-    function addRowErr($line_count, $message)
+     * @param  integer $line_count 行数
+     * @param  stirng  $message    メッセージ
+     * @return void
+     */
+    public function addRowErr($line_count, $message)
     {
         $this->arrRowErr[] = $line_count . '行目：' . $message;
@@ -167,5 +167,5 @@
      * @return boolean errFlag. 読み込みに失敗した場合true
      */
-    function lfReadCSVFile(&$objFormParam, &$fp, $objQuery = null)
+    public function lfReadCSVFile(&$objFormParam, &$fp, $objQuery = null)
     {
         $dry_run = ($objQuery===null) ? true : false;
@@ -235,5 +235,5 @@
      * @return void
      */
-    function doUploadCsv(&$objFormParam, &$objUpFile)
+    public function doUploadCsv(&$objFormParam, &$objUpFile)
     {
         // ファイルアップロードのチェック
@@ -245,4 +245,5 @@
         if (count($arrErr) > 0) {
             $this->arrErr = $arrErr;
+
             return;
         }
@@ -282,4 +283,5 @@
         if ($errFlag) {
             $objQuery->rollback();
+
             return;
         }
@@ -297,5 +299,5 @@
      * @return void
      */
-    function lfInitFile(&$objUpFile)
+    public function lfInitFile(&$objUpFile)
     {
         $objUpFile->addFile('CSVファイル', 'csv_file', array('csv'), CSV_SIZE, true, 0, 0, false);
@@ -308,5 +310,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam, &$arrCSVFrame)
+    public function lfInitParam(&$objFormParam, &$arrCSVFrame)
     {
         // 固有の初期値調整
@@ -354,5 +356,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
+    public function lfCheckError(&$objFormParam)
     {
         // 入力データを渡す。
@@ -377,5 +379,5 @@
      * @return void
      */
-    function lfInitTableInfo()
+    public function lfInitTableInfo()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -389,9 +391,9 @@
      * FIXME: 商品登録の実処理自体は、LC_Page_Admin_Products_Productと共通化して欲しい。
      *
-     * @param SC_Query $objQuery SC_Queryインスタンス
-     * @param string|integer $line 処理中の行数
-     * @return void
-     */
-    function lfRegistProduct($objQuery, $line = '', &$objFormParam)
+     * @param  SC_Query       $objQuery SC_Queryインスタンス
+     * @param  string|integer $line     処理中の行数
+     * @return void
+     */
+    public function lfRegistProduct($objQuery, $line = '', &$objFormParam)
     {
         $objProduct = new SC_Product_Ex();
@@ -458,11 +460,11 @@
      * FIXME: 商品規格登録の実処理自体は、LC_Page_Admin_Products_Productと共通化して欲しい。
      *
-     * @param SC_Query $objQuery SC_Queryインスタンス
-     * @param array $arrList 商品規格情報配列
-     * @param integer $product_id 商品ID
-     * @param integer $product_class_id 商品規格ID
-     * @return void
-     */
-    function lfRegistProductClass($objQuery, $arrList, $product_id, $product_class_id)
+     * @param  SC_Query $objQuery         SC_Queryインスタンス
+     * @param  array    $arrList          商品規格情報配列
+     * @param  integer  $product_id       商品ID
+     * @param  integer  $product_class_id 商品規格ID
+     * @return void
+     */
+    public function lfRegistProductClass($objQuery, $arrList, $product_id, $product_class_id)
     {
         $objProduct = new SC_Product_Ex();
@@ -511,10 +513,10 @@
      *        DELETE/INSERT ではなく UPDATEへの変更も・・・
      *
-     * @param SC_Query $objQuery SC_Queryインスタンス
-     * @param array $arrList 商品規格情報配列
-     * @param integer $product_id 商品ID
-     * @return void
-     */
-    function lfRegistReccomendProducts($objQuery, $arrList, $product_id)
+     * @param  SC_Query $objQuery   SC_Queryインスタンス
+     * @param  array    $arrList    商品規格情報配列
+     * @param  integer  $product_id 商品ID
+     * @return void
+     */
+    public function lfRegistReccomendProducts($objQuery, $arrList, $product_id)
     {
         $objQuery->delete('dtb_recommend_products', 'product_id = ?', array($product_id));
@@ -542,8 +544,8 @@
      * 初期値の設定
      *
-     * @param array $arrCSVFrame CSV構造配列
+     * @param  array $arrCSVFrame CSV構造配列
      * @return array $arrCSVFrame CSV構造配列
      */
-    function lfSetParamDefaultValue(&$arrCSVFrame)
+    public function lfSetParamDefaultValue(&$arrCSVFrame)
     {
         foreach ($arrCSVFrame as $key => $val) {
@@ -577,5 +579,5 @@
      * @return $sqlval 登録情報配列
      */
-    function lfSetProductDefaultData(&$sqlval)
+    public function lfSetProductDefaultData(&$sqlval)
     {
         //新規登録時のみ設定する項目
@@ -599,9 +601,9 @@
      * 商品規格データ登録前に特殊な値の持ち方をする部分のデータ部分の初期値補正を行う
      *
-     * @param array $sqlval 商品登録情報配列
+     * @param array   $sqlval     商品登録情報配列
      * @param boolean $upload_flg 更新フラグ(更新の場合true)
      * @return $sqlval 登録情報配列
      */
-    function lfSetProductClassDefaultData(&$sqlval, $upload_flg)
+    public function lfSetProductClassDefaultData(&$sqlval, $upload_flg)
     {
         //新規登録時のみ設定する項目
@@ -630,5 +632,5 @@
         } else {
             // 初期登録の場合は、在庫数設定がされていない場合、在庫無制限フラグ = 無制限。
-            if (strlen($sqlval['stock']) === 0){
+            if (strlen($sqlval['stock']) === 0) {
                 //更新の場合は、sqlvalのキーにstockがある場合のみ対象
                 if (!$upload_flg or ($upload_flg and array_key_exists('stock', $sqlval))) {
@@ -656,5 +658,5 @@
      * @return array エラー配列
      */
-    function lfCheckErrorDetail($item, $arrErr)
+    public function lfCheckErrorDetail($item, $arrErr)
     {
         // 規格IDの存在チェック
@@ -708,5 +710,5 @@
              && ($item[$recommend_product_id_key] != '')) {
                 // 商品IDの存在チェック
-                if (!$this->objDb->sfIsRecord('dtb_products', 'product_id', (array)$item[$recommend_product_id_key])) {
+                if (!$this->objDb->sfIsRecord('dtb_products', 'product_id', (array) $item[$recommend_product_id_key])) {
                     $arrErr[$recommend_product_id_key] = "※ 指定の関連商品ID($i)は、登録されていません。";
                     continue;
@@ -743,5 +745,5 @@
             if (array_search('stock_unlimited', $this->arrFormKeyList) === FALSE) {
                 $arrErr['stock'] = '※ 在庫数は必須です（無制限フラグ項目がある場合のみ空欄許可）。';
-            } else if ($item['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
+            } elseif ($item['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
                 $arrErr['stock'] = '※ 在庫数または在庫無制限フラグのいずれかの入力が必須です。';
             }
@@ -780,8 +782,8 @@
      * トランザクション内のCURRENT_TIMESTAMPは全てcommit()時の時間に統一されてしまう為。
      *
-     * @param string $line_no 行番号
+     * @param  string $line_no 行番号
      * @return string $time DB保存用の時間文字列
      */
-    function lfGetDbFormatTimeWithLine($line_no = '')
+    public function lfGetDbFormatTimeWithLine($line_no = '')
     {
         $time = date('Y-m-d H:i:s');
@@ -798,11 +800,11 @@
      * 指定されたキーと複数値の有効性の配列内確認
      *
-     * @param string $arr チェック対象配列
-     * @param string $keyname フォームキー名
-     * @param array  $item 入力データ配列
-     * @param string $delimiter 分割文字
+     * @param  string  $arr       チェック対象配列
+     * @param  string  $keyname   フォームキー名
+     * @param  array   $item      入力データ配列
+     * @param  string  $delimiter 分割文字
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsArrayRecordMulti($arr, $keyname, $item, $delimiter = ',')
+    public function lfIsArrayRecordMulti($arr, $keyname, $item, $delimiter = ',')
     {
         if (array_search($keyname, $this->arrFormKeyList) === FALSE) {
@@ -830,12 +832,12 @@
      * 指定されたキーと複数値の有効性のDB確認
      *
-     * @param string $table テーブル名
-     * @param string $tblkey テーブルキー名
-     * @param string $keyname フォームキー名
-     * @param array  $item 入力データ配列
-     * @param string $delimiter 分割文字
+     * @param  string  $table     テーブル名
+     * @param  string  $tblkey    テーブルキー名
+     * @param  string  $keyname   フォームキー名
+     * @param  array   $item      入力データ配列
+     * @param  string  $delimiter 分割文字
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsDbRecordMulti($table, $tblkey, $keyname, $item, $delimiter = ',')
+    public function lfIsDbRecordMulti($table, $tblkey, $keyname, $item, $delimiter = ',')
     {
         if (array_search($keyname, $this->arrFormKeyList) === FALSE) {
@@ -865,14 +867,14 @@
      * 指定されたキーと値の有効性のDB確認
      *
-     * @param string $table テーブル名
-     * @param string $keyname キー名
-     * @param array  $item 入力データ配列
+     * @param  string  $table   テーブル名
+     * @param  string  $keyname キー名
+     * @param  array   $item    入力データ配列
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsDbRecord($table, $keyname, $item)
+    public function lfIsDbRecord($table, $keyname, $item)
     {
         if (array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
             && $item[$keyname] != ''   // 空ではない
-            && !$this->objDb->sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
+            && !$this->objDb->sfIsRecord($table, $keyname, (array) $item[$keyname]) //DBに存在するか
         ) {
             return false;
@@ -885,10 +887,10 @@
      * 指定されたキーと値の有効性の配列内確認
      *
-     * @param string $arr チェック対象配列
-     * @param string $keyname キー名
-     * @param array  $item 入力データ配列
+     * @param  string  $arr     チェック対象配列
+     * @param  string  $keyname キー名
+     * @param  array   $item    入力データ配列
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsArrayRecord($arr, $keyname, $item)
+    public function lfIsArrayRecord($arr, $keyname, $item)
     {
         if (array_search($keyname, $this->arrFormKeyList) !== FALSE //入力対象である
